# ===================================
#  Field Definitions
# ===================================

fields:
    is_superuser:
        context: [create, update]
        tab: backend::lang.user.permissions
        label: backend::lang.user.superuser
        type: switch
        comment: backend::lang.user.superuser_comment

tabs:
    defaultTab: backend::lang.user.account
    icons:
        backend::lang.user.account: icon-user
        backend::lang.user.groups: icon-users
        backend::lang.user.permissions: icon-key

    fields:
        login:
            span: left
            label: backend::lang.user.login

        email:
            span: right
            label: backend::lang.user.email

        send_invite:
            context: create
            type: checkbox
            label: backend::lang.user.send_invite
            comment: backend::lang.user.send_invite_comment
            default: true

        first_name:
            span: left
            label: backend::lang.user.first_name

        last_name:
            span: right
            label: backend::lang.user.last_name

        password:
            type: password
            span: left
            label: backend::lang.user.password

        password_confirmation:
            type: password
            span: right
            label: backend::lang.user.password_confirmation

        role:
            context: [create, update]
            label: backend::lang.user.role_field
            commentAbove: backend::lang.user.role_comment
            type: radio

        groups:
            context: [create, update]
            label: backend::lang.user.groups
            commentAbove: backend::lang.user.groups_comment
            type: checkboxlist
            tab: backend::lang.user.groups

secondaryTabs:
    fields:
        btn_impersonate:
            label: ''
            context: [update]
            type: partial
        avatar:
            label: backend::lang.user.avatar
            type: fileupload
            mode: image
            imageHeight: 250
            imageWidth: 250
